type: google.api.Service
config_version: 3
name: merchantapi.googleapis.com
title: Merchant API

apis:
- name: google.shopping.merchant.accounts.v1beta.AccountIssueService
- name: google.shopping.merchant.accounts.v1beta.AccountTaxService
- name: google.shopping.merchant.accounts.v1beta.AccountsService
- name: google.shopping.merchant.accounts.v1beta.BusinessIdentityService
- name: google.shopping.merchant.accounts.v1beta.BusinessInfoService
- name: google.shopping.merchant.accounts.v1beta.EmailPreferencesService
- name: google.shopping.merchant.accounts.v1beta.HomepageService
- name: google.shopping.merchant.accounts.v1beta.OnlineReturnPolicyService
- name: google.shopping.merchant.accounts.v1beta.ProgramsService
- name: google.shopping.merchant.accounts.v1beta.RegionsService
- name: google.shopping.merchant.accounts.v1beta.ShippingSettingsService
- name: google.shopping.merchant.accounts.v1beta.TermsOfServiceAgreementStateService
- name: google.shopping.merchant.accounts.v1beta.TermsOfServiceService
- name: google.shopping.merchant.accounts.v1beta.UserService

documentation:
  summary: Programmatically manage your Merchant Center accounts.

authentication:
  rules:
  - selector: google.shopping.merchant.accounts.v1beta.AccountIssueService.ListAccountIssues
    oauth:
      canonical_scopes: |-
        https://www.googleapis.com/auth/content
  - selector: 'google.shopping.merchant.accounts.v1beta.AccountTaxService.*'
    oauth:
      canonical_scopes: |-
        https://www.googleapis.com/auth/content
  - selector: 'google.shopping.merchant.accounts.v1beta.AccountsService.*'
    oauth:
      canonical_scopes: |-
        https://www.googleapis.com/auth/content
  - selector: google.shopping.merchant.accounts.v1beta.BusinessIdentityService.GetBusinessIdentity
    oauth:
      canonical_scopes: |-
        https://www.googleapis.com/auth/content
  - selector: google.shopping.merchant.accounts.v1beta.BusinessIdentityService.UpdateBusinessIdentity
    oauth:
      canonical_scopes: |-
        https://www.googleapis.com/auth/content
  - selector: google.shopping.merchant.accounts.v1beta.BusinessInfoService.GetBusinessInfo
    oauth:
      canonical_scopes: |-
        https://www.googleapis.com/auth/content
  - selector: google.shopping.merchant.accounts.v1beta.BusinessInfoService.UpdateBusinessInfo
    oauth:
      canonical_scopes: |-
        https://www.googleapis.com/auth/content
  - selector: google.shopping.merchant.accounts.v1beta.EmailPreferencesService.GetEmailPreferences
    oauth:
      canonical_scopes: |-
        https://www.googleapis.com/auth/content
  - selector: google.shopping.merchant.accounts.v1beta.EmailPreferencesService.UpdateEmailPreferences
    oauth:
      canonical_scopes: |-
        https://www.googleapis.com/auth/content
  - selector: 'google.shopping.merchant.accounts.v1beta.HomepageService.*'
    oauth:
      canonical_scopes: |-
        https://www.googleapis.com/auth/content
  - selector: google.shopping.merchant.accounts.v1beta.OnlineReturnPolicyService.GetOnlineReturnPolicy
    oauth:
      canonical_scopes: |-
        https://www.googleapis.com/auth/content
  - selector: google.shopping.merchant.accounts.v1beta.OnlineReturnPolicyService.ListOnlineReturnPolicies
    oauth:
      canonical_scopes: |-
        https://www.googleapis.com/auth/content
  - selector: 'google.shopping.merchant.accounts.v1beta.ProgramsService.*'
    oauth:
      canonical_scopes: |-
        https://www.googleapis.com/auth/content
  - selector: 'google.shopping.merchant.accounts.v1beta.RegionsService.*'
    oauth:
      canonical_scopes: |-
        https://www.googleapis.com/auth/content
  - selector: google.shopping.merchant.accounts.v1beta.ShippingSettingsService.GetShippingSettings
    oauth:
      canonical_scopes: |-
        https://www.googleapis.com/auth/content
  - selector: google.shopping.merchant.accounts.v1beta.ShippingSettingsService.InsertShippingSettings
    oauth:
      canonical_scopes: |-
        https://www.googleapis.com/auth/content
  - selector: google.shopping.merchant.accounts.v1beta.TermsOfServiceAgreementStateService.GetTermsOfServiceAgreementState
    oauth:
      canonical_scopes: |-
        https://www.googleapis.com/auth/content
  - selector: google.shopping.merchant.accounts.v1beta.TermsOfServiceAgreementStateService.RetrieveForApplicationTermsOfServiceAgreementState
    oauth:
      canonical_scopes: |-
        https://www.googleapis.com/auth/content
  - selector: 'google.shopping.merchant.accounts.v1beta.TermsOfServiceService.*'
    oauth:
      canonical_scopes: |-
        https://www.googleapis.com/auth/content
  - selector: 'google.shopping.merchant.accounts.v1beta.UserService.*'
    oauth:
      canonical_scopes: |-
        https://www.googleapis.com/auth/content

publishing:
  new_issue_uri: https://issuetracker.google.com/issues/new?component=171084&template=555201
  documentation_uri: https://developers.google.com/merchant/api
  api_short_name: merchantapi
  github_label: 'api: merchantapi'
  doc_tag_prefix: merchantapi
  organization: SHOPPING
  library_settings:
  - version: google.shopping.merchant.accounts.v1beta
    launch_stage: BETA
    java_settings:
      common:
        destinations:
        - PACKAGE_MANAGER
    php_settings:
      common:
        destinations:
        - PACKAGE_MANAGER
    python_settings:
      common:
        destinations:
        - PACKAGE_MANAGER
    node_settings:
      common:
        destinations:
        - PACKAGE_MANAGER
    dotnet_settings:
      common:
        destinations:
        - PACKAGE_MANAGER
    ruby_settings:
      common:
        destinations:
        - PACKAGE_MANAGER
    go_settings:
      common:
        destinations:
        - PACKAGE_MANAGER
